/*
 * Copyright 2008 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.google.gwt.widgetideas.client.event;

/**
 * Key board handler.
 */
 //CHECKSTYLE_OFF
public interface KeyboardHandler extends EventHandler {
  int KEY_ALT = 18;
  int KEY_BACKSPACE = 8;
  int KEY_CTRL = 17;
  int KEY_DELETE = 46;
  int KEY_DOWN = 40;
  int KEY_END = 35;
  int KEY_ENTER = 13;
  int KEY_ESCAPE = 27;
  int KEY_HOME = 36;
  int KEY_LEFT = 37;
  int KEY_PAGEDOWN = 34;
  int KEY_PAGEUP = 33;
  int KEY_RIGHT = 39;
  int KEY_SHIFT = 16;
  int KEY_TAB = 9;
  int KEY_UP = 38;

  int MODIFIER_ALT = 4;
  int MODIFIER_CTRL = 2;
  int MODIFIER_META = 8;
  int MODIFIER_SHIFT = 1;
 
}
